@echo off
setlocal enabledelayedexpansion

:: Extrae el nmero de versin principal de Java
for /f "tokens=3" %%g in ('java -version 2^>^&1 ^| findstr /i "version"') do (
    set "JAVA_VER=%%g"
    goto compareVersion
)

:compareVersion
:: Elimina las comillas y cualquier cosa despus del primer punto
set JAVA_VER=!JAVA_VER:"=!
for /f "tokens=1 delims=." %%v in ("!JAVA_VER!") do set /a JAVA_VER_MAJOR=%%v

:: Comprueba si la versin de Java es 11 o superior
if !JAVA_VER_MAJOR! LSS 11 (
    echo Se requiere Java version 11 o superior.
    goto end
)

:: Contina si la versin es adecuada
set "PRINCIPAL_FOLDER_PATH=%CD%"
java --module-path "%PRINCIPAL_FOLDER_PATH%\javafx-win\lib" --add-modules javafx.controls,javafx.base,javafx.fxml,javafx.graphics,javafx.media,javafx.web --add-opens=javafx.graphics/javafx.scene=ALL-UNNAMED --add-exports javafx.base/com.sun.javafx.event=ALL-UNNAMED -jar "%PRINCIPAL_FOLDER_PATH%\websat.jar"

:end
endlocal